### Hierarchy

- SVGLength

## Index

### Properties

- SVG_LENGTHTYPE_CM
- SVG_LENGTHTYPE_EMS
- SVG_LENGTHTYPE_EXS
- SVG_LENGTHTYPE_IN
- SVG_LENGTHTYPE_MM
- SVG_LENGTHTYPE_NUMBER
- SVG_LENGTHTYPE_PC
- SVG_LENGTHTYPE_PERCENTAGE
- SVG_LENGTHTYPE_PT
- SVG_LENGTHTYPE_PX
- SVG_LENGTHTYPE_UNKNOWN
- unitType
- value
- valueAsString
- valueInSpecifiedUnits

### Methods

- convertToSpecifiedUnits
- newValueSpecifiedUnits

## Properties

### SVG_LENGTHTYPE_CM

SVG_LENGTHTYPE_CM: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13033

### SVG_LENGTHTYPE_EMS

SVG_LENGTHTYPE_EMS: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13034

### SVG_LENGTHTYPE_EXS

SVG_LENGTHTYPE_EXS: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13035

### SVG_LENGTHTYPE_IN

SVG_LENGTHTYPE_IN: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13036

### SVG_LENGTHTYPE_MM

SVG_LENGTHTYPE_MM: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13037

### SVG_LENGTHTYPE_NUMBER

SVG_LENGTHTYPE_NUMBER: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13038

### SVG_LENGTHTYPE_PC

SVG_LENGTHTYPE_PC: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13039

### SVG_LENGTHTYPE_PERCENTAGE

SVG_LENGTHTYPE_PERCENTAGE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13040

### SVG_LENGTHTYPE_PT

SVG_LENGTHTYPE_PT: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13041

### SVG_LENGTHTYPE_PX

SVG_LENGTHTYPE_PX: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13042

### SVG_LENGTHTYPE_UNKNOWN

SVG_LENGTHTYPE_UNKNOWN: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13043

### unitType

unitType: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13027

### value

value: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13028

### valueAsString

valueAsString: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13029

### valueInSpecifiedUnits

valueInSpecifiedUnits: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13030

## Methods

### convertToSpecifiedUnits

- convertToSpecifiedUnits(unitType: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13031

  #### Parameters

  - ##### unitType: number

  #### Returns void

### newValueSpecifiedUnits

- newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13032

  #### Parameters

  - ##### unitType: number

  - ##### valueInSpecifiedUnits: number

  #### Returns void

Generated using TypeDoc